<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: status.php,v 1.1 2001/06/06 21:13:36 will Exp $

include("ServerScriptHelper.php");
include("uifc/PagedBlock.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-java");
$i18n = $serverScriptHelper->getI18n("base-java");

// reset progress status/messages
$oids = $cceClient->find('Vsite', array('name' => $group));
if ($oids[0] == '') {
  exit();
}
$jsite = $cceClient->get($oids[0], 'Java');
$jsite["progress"] = round( $jsite["progress"] );
$cmd = &$jsite["uiCMD"];

// check to see if we need to redirect to the download page
if (eregi("success", $cmd, $reg)) {
	$oid = &$reg[1];
	// Allow the servlet list to identify the installed war
	header("location: /base/java/warList.php?group=$group&warOID=$oid&backUrl=$backbackUrl");
	$cceClient->set($oids[0], array("uiCMD" => '', 'progress' => '100'), "Java");
	exit;
} else if (strstr($cmd, 'refresh')) {
	$page = $factory->getPage();
	print($page->toHeaderHtml());
	if (strstr($cmd, 'uninstall'))
		print($i18n->get("uninstallrefresh"));
	else if (strstr($cmd, 'install'))
		print($i18n->get("installrefresh"));
	print($page->toFooterHtml());
	print('<SCRIPT LANGUAGE="javascript">setTimeout("top.location.reload();", 7000);</SCRIPT>');	
	$cceClient->set($oids[0], array("uiCMD" => '', 'progress' => '100'), "Java");
	exit;
}


// get message
$message = $i18n->interpolate($jsite["message"]);

$page = $factory->getPage();

$block = new PagedBlock($page, "installStatus", $factory->getLabel("installStatus", 
	false, array("fileName" => $nameField)));

$block->addFormField(
	$factory->getTextField("statusField", $message, "r"),
	$factory->getLabel("statusField")
);

$block->addFormField(
	$factory->getBar("progressField", $jsite["progress"]),
	$factory->getLabel("progressField")
);

// we need to propagate back the URL.
$block->addFormField(
	$factory->getTextField("backbackUrl", $backbackUrl, ""),
	""
);

$block->addButton($factory->getBackButton("$backUrl&backUrl=$backbackUrl"));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>
<?php print($block->toHtml()); ?>

<?php
// reload if not completed
if($jsite["progress"] < 100)
  print("<SCRIPT LANGUAGE=\"javascript\">setTimeout(\"location.reload()\", 3000);</SCRIPT>");
?>

<?php print($page->toFooterHtml()); ?>
